## unicorn-hat 2.2.3

=== Makefile ===
.PHONY: clean unicornd unicorn

all: unicornd unicorn

unicornd:
	make -C unicornd/ unicornd

unicorn:
	make -C unicorn/ unicorn

clean:
	make -C unicornd/ clean
	make -C unicorn/ clean

=== unicorn/Makefile ===
.PHONY: all clean

ws281x_path = ../unicornd/rpi_ws281x

all: unicorn

$(ws281x_path)/libws2811.a:
	scons -C $(ws281x_path)

unicorn: $(ws281x_path)/libws2811.a unicorn.c
	gcc -Wall unicorn.c -o unicorn -I$(ws281x_path) -L$(ws281x_path) -lm -lws2811 -lpng

clean:
	scons -C $(ws281x_path) --clean
	-rm -f unicorn

=== unicornd/Makefile ===
.PHONY: all clean install install-archlinux

ws281x_path = rpi_ws281x

all: unicornd

$(ws281x_path)/libws2811.a:
	scons -C $(ws281x_path)

unicornd: unicornd.c $(ws281x_path)/libws2811.a
	gcc -Wall unicornd.c -o unicornd -I$(ws281x_path) -L$(ws281x_path) -lws2811

clean:
	scons -C $(ws281x_path) --clean
	-rm -f unicornd

install:
	cp unicornd /usr/sbin
	cp unicorn /etc/init.d
	sudo chmod +x /etc/init.d/unicorn

install-archlinux:
	cp unicornd /usr/sbin
	cp unicornd.service /etc/systemd/system/

=== legacy/rpi-ws281x/Makefile ===
.PHONY: clean build install

all: clean build

install:
	sudo ./setup.py install

build:
	sudo ./setup.py build

clean:
	sudo rm -rf build

=== legacy/rpi-ws281x/lib/Makefile ===
.PHONY: clean lib

all: lib test

lib: libws2811.a


ws2811.o:
	gcc -o ws2811.o -c -g -O2 -Wall -Werror ws2811.c -fPIC

rpihw.o:
	gcc -o rpihw.o -c -g -O2 -Wall -Werror rpihw.c -fPIC

pwm.o:
	gcc -o pwm.o -c -g -O2 -Wall -Werror pwm.c -fPIC

dma.o:
	gcc -o dma.o -c -g -O2 -Wall -Werror dma.c -fPIC

mailbox.o:
	gcc -o mailbox.o -c -g -O2 -Wall -Werror mailbox.c -fPIC

libws2811.a: ws2811.o rpihw.o pwm.o dma.o mailbox.o
	ar rc libws2811.a ws2811.o rpihw.o pwm.o dma.o mailbox.o
	ranlib libws2811.a


main.o:
	gcc -o main.o -c -g -O2 -Wall -Werror main.c

test: main.o libws2811.a
	gcc -o test main.o libws2811.a


clean:
	-rm -f ws2811.o rpihw.o pwm.o dma.o mailbox.o libws2811.a main.o test

=== legacy/ws2812/lib/Makefile ===
.PHONY: clean shared

CPU := $(shell cat /proc/cpuinfo | grep BCM | awk '{print $$3}' | tr -d ' ')

$(warning Detected CPU=$(CPU))

ifeq ($(CPU),BCM2709)
	PERI_BASE := 0x3F000000
	RPI2 := -DRPI2
else
	PERI_BASE := 0x20000000
endif

all:
	gcc -fPIC -c ws2812-RPi.c -DPERI_BASE=$(PERI_BASE) $(RPI2)
	ar rc libws2812-RPi.a ws2812-RPi.o
	ranlib libws2812-RPi.a

shared:
	gcc -fPIC -c ws2812-RPi.c -DPERI_BASE=$(PERI_BASE) $(RPI2)
	gcc -shared ws2812-RPi.o -o ws2812-RPi.so	

clean:
	-rm -f *.o
	-rm -f *.a

=== debian/changelog ===
unicorn-hat (2.2.3-0ubuntu1) jammy; urgency=medium

  * Initial packaging for Ubuntu (LP: #1969649)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 20 Apr 2022 18:07:51 +0100

=== debian/control ===
Source: unicorn-hat
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Phil Howard <phil@pimoroni.com>
Homepage: https://github.com/pimoroni/unicorn-hat
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-rpi-ws281x,
Standards-Version: 4.5.1

Package: python3-unicornhat
Architecture: armhf arm64
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-unicornhat-doc
Description: Python library for the Pimoroni Unicorn HAT and pHAT.
 Unicorn HAT provides a wash of controllable colour that is ideal for
 mood-lighting, 8x8 pixel art, persistence of vision effects, status
 indications, or just blasting colour into your surroundings.
 .
 This is the Python 3 version of the package.

Package: python-unicornhat-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library for the Pimoroni Unicorn HAT and pHAT.
 Unicorn HAT provides a wash of controllable colour that is ideal for
 mood-lighting, 8x8 pixel art, persistence of vision effects, status
 indications, or just blasting colour into your surroundings.
 .
 This is the API documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OPTIONS
export PYBUILD_DIR=library/UnicornHat
export PYBUILD_NAME=unicornhat

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml library/sphinx/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-unicornhat -ppython-unicornhat-doc
	dh_installdocs -ppython3-unicornhat

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v@ANY_VERSION@\.tar\.gz/@PACKAGE@_$1\.orig\.tar\.gz/ \
  https://github.com/pimoroni/@PACKAGE@/tags .*/v@ANY_VERSION@\.tar\.gz
